import * as React from 'react';
import { BrowserJsPlumbDefaults } from '@jsplumb/browser-ui';
import { NODE_ID_ATTR, NODE_PARENT_ATTR } from './constant';
export interface TreeNode {
    data: any;
    children?: TreeNode[];
    [NODE_ID_ATTR]?: string;
    [NODE_PARENT_ATTR]?: TreeNode;
}
export interface NodesRelation {
    parent: TreeNode | null;
    child: TreeNode;
}
export interface tranverseTreeByLayers {
    (root: TreeNode): {
        nodesByLayers: TreeNode[][];
        nodesRelations: NodesRelation[];
    };
}
export interface ConnectTreeRef {
    [nodeRef: string]: HTMLDivElement | undefined;
}
export interface ConnectTreeParams {
    dataSource: TreeNode;
    connectionOption?: BrowserJsPlumbDefaults;
    canHighlight?: boolean;
    style?: React.CSSProperties;
    highlightOption?: BrowserJsPlumbDefaults;
    renderChildNode?: (props: any) => JSX.Element;
}
export declare const randomGeneratesTree: (maxLayer?: number, maxNodeNum?: number, maxChildrenPerNode?: number) => TreeNode;
export declare const tranverseTreeByLayers: tranverseTreeByLayers;
declare const ConnectTree: (props: ConnectTreeParams) => JSX.Element;
export default ConnectTree;
